Summary: A general purpose sound file conversion tool.
Name: sox
Version: 12.17.1
Release: 1mdk
Copyright: GPL-like
Group: Sound
Source: http://download.sourceforge.net/sox/sox-%{version}.tar.bz2
Url: http://sox.sourceforge.net
BuildRoot: %{_tmppath}/%{name}-root
Patch: sox-12.17-alphafix.patch.bz2
Patch1: sox-12.17-alphafix2.patch.bz2
Prefix: %{_prefix}

%description
SoX (Sound eXchange) is a sound file format converter for Linux,
UNIX and DOS PCs. The self-described 'Swiss Army knife of sound
tools,' SoX can convert between many different digitized sound
formats and perform simple sound manipulation functions,
including sound effects.

Install the sox package if you'd like to convert sound file formats
or manipulate some sounds.

%package -n  sox-devel
Summary: The SoX sound file format converter libraries.
Group: Development/C

%description -n sox-devel 
This package contains the library needed for compiling applications
which will use the SoX sound file format converter.

Install sox-devel if you want to develop applications which will use
SoX.

%prep
%setup -q
%ifarch alpha
%patch -p1
%patch1 -p1
%endif

%build
CFLAGS="$RPM_OPT_FLAGS -DHAVE_SYS_SOUNDCARD_H=1" \
	%configure --with-oss-dsp

%make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{_libdir}
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/{man1,man3}/

make MANDIR=$RPM_BUILD_ROOT/%{_mandir} BINDIR=$RPM_BUILD_ROOT/%{_bindir} LIBDIR=$RPM_BUILD_ROOT/%{_libdir} INCDIR=$RPM_BUILD_ROOT%{_includedir} install
make MANDIR=$RPM_BUILD_ROOT/%{_mandir} BINDIR=$RPM_BUILD_ROOT/%{_bindir} LIBDIR=$RPM_BUILD_ROOT/%{_libdir} INCDIR=$RPM_BUILD_ROOT/%{_includedir} install-lib
make MANDIR=$RPM_BUILD_ROOT/%{_mandir} BINDIR=$RPM_BUILD_ROOT/%{_bindir} LIBDIR=$RPM_BUILD_ROOT/%{_libdir} INCDIR=$RPM_BUILD_ROOT%{_includedir}  install-play

(
    cd $RPM_BUILD_ROOT/%{_bindir}
    ln -sf play rec
)

cat << EOF > $RPM_BUILD_ROOT/%{_bindir}/soxplay
#!/bin/sh

%{_bindir}/sox \$1 -t .au - > /dev/audio

EOF

chmod 755 $RPM_BUILD_ROOT/%{_bindir}/soxplay

#
#find $RPM_BUILD_ROOT/ -type 'f'|grep -E '.*[0-9]'|xargs file|grep troff\
#|cut -d: -f1|xargs bzip2 -9
#for aa in man X11R6/man local/man;do
#[ -d $RPM_BUILD_ROOT/usr/$aa ] || continue
#for i in $(find $RPM_BUILD_ROOT/usr/$aa -type 'l');do
# 	TO=$(/bin/ls -l $i|awk '{print $NF}')
#	ln -sf $TO.bz2 $i && mv $i $.bz2
#done
#done
#for i in `find $RPM_BUILD_ROOT/ -type 'f' -perm '+a=x' ! -name 'lib*so*'`;do
#    file $i|grep -q "not stripped" && strip $i
#done

pushd $RPM_BUILD_ROOT/%{_mandir}/man1/ && { 
    ln -s play.1.bz2 rec.1.bz2 
} && popd


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changelog [A-Z][A-Z]*
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*

%files -n sox-devel
%defattr(-,root,root)
%{_libdir}/libst.a

%changelog
* Fri Feb 02 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 12.17.1-1mdk
- new and shiny source.
- use of %%configure.

* Sat Dec 23 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 12.17-2mdk
- alpha fix.

* Mon Nov 13 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 12.17-1mdk
- new and shiny version.
 - fix the build.

* Wed Aug 30 2000 Enzo Maggi <enzo@mandrakesoft.com> 12.16-9mdk
- minor fix in the spec

* Tue Aug 29 2000 Enzo Maggi <enzo@mandrakesoft.com> 12.16-8mdk
- simplified the installation

* Mon Aug 28 2000 Enzo Maggi <enzo@mandrakesoft.com> 12.16-7mdk
- fixed installation directories

* Fri Apr 07 2000 Christopher Molnar <molnarc@mandrakesoft.com> 12.16-6mdk
- fixed groups

* Sun Nov  7 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Fix dangling symlinks (use rpmlint luke).

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- SMP check/build

* Sat Aug 07 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- -DHAVE_SYS_SOUNDCARD_H=1, cause configure is slightly broken

* Thu Jul 22 1999 Gregus <gregus@etudiant.net>
- fr locale

* Tue Jul 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- A new life for the spec file :).
- 12.16.
- Removed obsoletes patchs.

* Tue Jun 01 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Cleanup from Mandrake adaptions

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Wed Jan 20 1999 Bill Nottingham <notting@redhat.com>
- allow spaces in filenames for play/rec

* Wed Dec  9 1998 Bill Nottingham <notting@redhat.com>
- fix docs

* Mon Nov 23 1998 Bill Nottingham <notting@redhat.com>
- update to 12.15

* Sat Oct 10 1998 Michael Maher <mike@redhat.com>
- fixed broken spec file

* Mon Jul 13 1998 Michael Maher <mike@redhat.com>
- updated source from Chris Bagwell.

* Wed Jun 23 1998 Michael Maher <mike@redhat.com>
- made patch to fix the '-e' option. BUG 580
- added buildroot

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Nov 06 1997 Erik Troan <ewt@redhat.com>
- built against glibc
